import { Xrp } from './xrp.js';
import { Solana } from './solana.js';
/**
 * Available blockchains keyed by their name in the certificates
 */
export const blockchains = {
    xrp: new Xrp(),
    solana: new Solana()
};
/**
 * Available blockchain string identifiers
 */
export const blockchainNames = Object.values(blockchains).map((b) => b.getName());
//# sourceMappingURL=blockchains.js.map