import { Rpc } from '@solana/web3.js';
import { ResultData } from '../lifecycle/manager.js';
import { VerificationProcess } from '../lifecycle/verify.js';
import { BlockchainBase } from './blockchainBase.js';
import { BlockchainName } from './blockchains.js';
export declare class Solana extends BlockchainBase {
    getName(): BlockchainName;
    getDisplayName(): string;
    private rpcClientList;
    /**
     * returns the memo text from a solana transaction with the given
     * transactionId or null if no memo is present on the transaction
     * @param transaction
     * @private
     */
    static getTransactionMemo(transaction: any): string;
    verifyRootHash(rootHash: string, transactionTimestamp: number, transactionHash: string, verificationProcess: VerificationProcess): Promise<ResultData>;
    getRpcClient(rpcServers: string[]): Rpc<import("@solana/web3.js").RequestAirdropApi & import("@solana/web3.js").GetAccountInfoApi & import("@solana/web3.js").GetBalanceApi & import("@solana/web3.js").GetBlockApi & import("@solana/web3.js").GetBlockCommitmentApi & import("@solana/web3.js").GetBlockHeightApi & import("@solana/web3.js").GetBlockProductionApi & import("@solana/web3.js").GetBlocksApi & import("@solana/web3.js").GetBlocksWithLimitApi & import("@solana/web3.js").GetBlockTimeApi & import("@solana/web3.js").GetClusterNodesApi & import("@solana/web3.js").GetEpochInfoApi & import("@solana/web3.js").GetEpochScheduleApi & import("@solana/web3.js").GetFeeForMessageApi & import("@solana/web3.js").GetFirstAvailableBlockApi & import("@solana/web3.js").GetGenesisHashApi & import("@solana/web3.js").GetHealthApi & import("@solana/web3.js").GetHighestSnapshotSlotApi & import("@solana/web3.js").GetIdentityApi & import("@solana/web3.js").GetInflationGovernorApi & import("@solana/web3.js").GetInflationRateApi & import("@solana/web3.js").GetInflationRewardApi & import("@solana/web3.js").GetLargestAccountsApi & import("@solana/web3.js").GetLatestBlockhashApi & import("@solana/web3.js").GetLeaderScheduleApi & import("@solana/web3.js").GetMaxRetransmitSlotApi & import("@solana/web3.js").GetMaxShredInsertSlotApi & import("@solana/web3.js").GetMinimumBalanceForRentExemptionApi & import("@solana/web3.js").GetMultipleAccountsApi & import("@solana/web3.js").GetProgramAccountsApi & import("@solana/web3.js").GetRecentPerformanceSamplesApi & import("@solana/web3.js").GetRecentPrioritizationFeesApi & import("@solana/web3.js").GetSignaturesForAddressApi & import("@solana/web3.js").GetSignatureStatusesApi & import("@solana/web3.js").GetSlotApi & import("@solana/web3.js").GetSlotLeaderApi & import("@solana/web3.js").GetSlotLeadersApi & import("@solana/web3.js").GetStakeMinimumDelegationApi & import("@solana/web3.js").GetSupplyApi & import("@solana/web3.js").GetTokenAccountBalanceApi & import("@solana/web3.js").GetTokenAccountsByDelegateApi & import("@solana/web3.js").GetTokenAccountsByOwnerApi & import("@solana/web3.js").GetTokenLargestAccountsApi & import("@solana/web3.js").GetTokenSupplyApi & import("@solana/web3.js").GetTransactionApi & import("@solana/web3.js").GetTransactionCountApi & import("@solana/web3.js").GetVersionApi & import("@solana/web3.js").GetVoteAccountsApi & import("@solana/web3.js").IsBlockhashValidApi & import("@solana/web3.js").MinimumLedgerSlotApi & import("@solana/web3.js").SendTransactionApi & import("@solana/web3.js").SimulateTransactionApi>;
    getTransactionDate(blockTimestamp: number): Date;
    getTransactionUnixTimestamp(blockTimestamp: number): number;
}
//# sourceMappingURL=solana.d.ts.map