import { Client } from 'xrpl';
import { VerificationProcess } from '../lifecycle/verify.js';
import { BlockchainBase } from './blockchainBase.js';
import { BlockchainName } from './blockchains.js';
export declare class Xrp extends BlockchainBase {
    private nextServerId;
    /**
     *
     * @param address  20 Byte xrp address
     * @param memoData 12 Byte hex data or 32 byte hex data, if containing full hash
     * @returns {string} 32 Byte b64 hash
     */
    static transactionDataToHash(memoData: string, address?: string): string;
    getName(): BlockchainName;
    /**
     * Get a connected instance of xrp client
     */
    getClient(servers: string[]): Promise<Client>;
    getDisplayName(): string;
    getTransactionUnixTimestamp(rippleTime: number): number;
    getTransactionDate(rippleTime: number): Date;
    verifyRootHash(rootHash: string, transactionTimestamp: number, transactionHash: string, verificationProcess: VerificationProcess): Promise<import("../lifecycle/manager.js").ResultData>;
}
//# sourceMappingURL=xrp.d.ts.map