import { CertificateProcess, InputData, InputDataType, ResultData } from './manager.js';
import { BlockchainName } from '../blockchains/blockchains.js';
/**
 * Start certificate request for a string
 * @param message
 * @param blockchainsToRequire
 */
export declare function requestCertificateForString(message: string, blockchainsToRequire?: BlockchainName[]): RequestProcess;
/**
 * Start certificate request for a file
 * @param file
 * @param blockchainsToRequire
 */
export declare function requestCertificateForFile(file: File, blockchainsToRequire?: BlockchainName[]): RequestProcess;
/**
 * Start certificate request for an existing hash
 * @param hash base64 encoded hash
 * @param blockchainsToRequire
 */
export declare function requestCertificateForHash(hash: string, blockchainsToRequire?: BlockchainName[]): RequestProcess;
/**
 * Start certificate request
 * @param type
 * @param data
 * @param blockchainsToRequire
 */
export declare function requestCertificate(type: InputDataType, data: string | File, blockchainsToRequire?: BlockchainName[]): RequestProcess;
export declare class RequestProcess extends CertificateProcess {
    constructor(data: InputData);
    start(): Promise<ResultData>;
}
//# sourceMappingURL=request.d.ts.map