import { Certificate } from '../certificate.js';
import { CertificateProcess, InputData, InputDataType, ResultData } from './manager.js';
import { BlockchainName } from '../blockchains/blockchains.js';
/**
 * Start certificate verification for a string
 * @param certificate either as type Certificate, Json string or File
 * @param message
 */
export declare function verifyCertificateForString(certificate: Certificate | File | string, message: string): VerificationProcess;
/**
 * Start certificate verification for a file
 * @param certificate either as type Certificate, Json string or File
 * @param file
 */
export declare function verifyCertificateForFile(certificate: Certificate | File | string, file: File): VerificationProcess;
/**
 * Start certificate verification for an existing hash
 * @param certificate
 * @param hash base64 encoded hash
 */
export declare function verifyCertificateForHash(certificate: Certificate | File | string, hash: string): VerificationProcess;
/**
 * Start verify process
 * @param certificate
 * @param type
 * @param data
 */
export declare function verifyCertificate(certificate: Certificate | File | string, type: InputDataType, data: string | File): VerificationProcess;
export declare class VerificationProcess extends CertificateProcess {
    private certificateToVerify;
    private readonly certificateToParse;
    skipBlockchains: BlockchainName[];
    constructor(certificate: Certificate | File | string, data: InputData);
    start(): Promise<ResultData>;
    private verifySingleBlockchain;
}
//# sourceMappingURL=verify.d.ts.map