import { hashFile, hashSiblingHashes, hashString, isValidHash } from './util/hash.js';
import { CertificateHelper } from './certificate.js';
import { Xrp } from './blockchains/xrp.js';
import { Solana } from './blockchains/solana.js';
import * as timeExport from './util/time.js';
export declare const util: {
    hash: {
        hashFile: typeof hashFile;
        hashString: typeof hashString;
        isValidHash: typeof isValidHash;
        hashSiblingHashes: typeof hashSiblingHashes;
    };
    CertificateHelper: typeof CertificateHelper;
    Xrp: typeof Xrp;
    Solana: typeof Solana;
    time: typeof timeExport;
};
export * from './blockchains/blockchains.js';
export * from './util/logger.js';
export { CronStampConfig, apiLinesStringToArray } from './util/config.js';
export { AdditionalDataType, Step, MessageType, InputDataType, ResultData, CertificateProcess } from './lifecycle/manager.js';
export { Certificate, BlockchainData } from './certificate.js';
export { requestCertificateForHash, requestCertificateForString, requestCertificateForFile } from './lifecycle/request.js';
export { verifyCertificateForHash, verifyCertificateForString, verifyCertificateForFile } from './lifecycle/verify.js';
//# sourceMappingURL=main.d.ts.map