import { hashFile, hashSiblingHashes, hashString, isValidHash } from './util/hash.js';
import { CertificateHelper } from './certificate.js';
import { Xrp } from './blockchains/xrp.js';
import { Solana } from './blockchains/solana.js';
import * as timeExport from './util/time.js';
export const util = {
    hash: { hashFile, hashString, isValidHash, hashSiblingHashes },
    CertificateHelper: CertificateHelper,
    Xrp: Xrp,
    Solana: Solana,
    time: timeExport
};
export * from './blockchains/blockchains.js';
export * from './util/logger.js';
export { apiLinesStringToArray } from './util/config.js';
export { AdditionalDataType, Step, MessageType, InputDataType, CertificateProcess } from './lifecycle/manager.js';
export { requestCertificateForHash, requestCertificateForString, requestCertificateForFile } from './lifecycle/request.js';
export { verifyCertificateForHash, verifyCertificateForString, verifyCertificateForFile } from './lifecycle/verify.js';
//# sourceMappingURL=main.js.map