/**
 * Convert hex string to Uint8Array
 * Accepts both lower and upper case hex strings
 * @param hexString
 */
export declare function fromHexString(hexString: string): Uint8Array;
/**
 * Converts Uint8Array to hex string, with upper case letters
 * @param byteArray
 */
export declare function toHexString(byteArray: Uint8Array): string;
/**
 * Convert base64 encoded string to Uint8Array
 * source: https://developer.mozilla.org/en-US/docs/Glossary/Base64#converting_arbitrary_binary_data
 * @param base64String
 */
export declare function fromBase64String(base64String: string): Uint8Array;
/**
 * Convert Uint8Array to base64 encoded string
 * source: https://developer.mozilla.org/en-US/docs/Glossary/Base64#converting_arbitrary_binary_data
 * @param byteArray
 */
export declare function toBase64String(byteArray: Uint8Array): string;
//# sourceMappingURL=base-convert.d.ts.map