import { Log, LOG_LEVELS } from './logger.js';
export type CronStampConfig = {
    LOG_LEVEL?: LOG_LEVELS;
    BLOCKCHAIN_XRP_SERVERS?: string[];
    BLOCKCHAIN_SOLANA_SERVERS?: string[];
    API_URL?: string;
    CERT_REQUEST_TIMEOUT?: number;
    CERT_REQUEST_INTERVAL?: number;
};
export interface FullCronStampConfig extends Required<CronStampConfig> {
}
export declare const DefaultConfig: FullCronStampConfig;
/**
 * Update config with values from new config or default, if value is set in neither old/new config
 * Result is guaranteed to have all config options set
 * @param oldConfig
 * @param newPartialConfig
 * @param log
 */
export declare function updateConfig(oldConfig: FullCronStampConfig, newPartialConfig: CronStampConfig, log: Log): FullCronStampConfig;
export declare function apiLinesStringToArray(rawLines: string): string[];
//# sourceMappingURL=config.d.ts.map