export declare enum LOG_LEVELS {
    DEBUG = 0,
    INFO = 1,
    WARN = 2,
    ERR = 3,
    NONE = 4
}
/**
 * Overwrite the log function. Set to "undefined" to use standard logging to console.
 * @param newLogFunction
 */
export declare function setLogFunction(newLogFunction?: (level: LOG_LEVELS, module: string | undefined, message: string, ...objectInfo: any[]) => void): void;
export declare class Log {
    private readonly module;
    private logLevel;
    constructor(logLevel: LOG_LEVELS, module?: string | undefined);
    setLogLevel(logLevel: LOG_LEVELS): void;
    debug(message: string, ...objectInfo: any): void;
    info(message: string, ...objectInfo: any): void;
    warn(message: string, ...objectInfo: any): void;
    err(message: string, ...objectInfo: any): void;
    private log;
}
//# sourceMappingURL=logger.d.ts.map